import 'package:didvan/constants/assets.dart';
import 'package:didvan/views/widgets/state_handlers/empty_state.dart';
import 'package:flutter/material.dart';

class EmptyResult extends StatelessWidget {
  final VoidCallback onNewSearch;
  const EmptyResult({Key? key, required this.onNewSearch}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return EmptyState(
      asset: Assets.emptyResult,
      title: 'نتیجه‌ای پیدا نشد',
      buttonTitle: 'تغییر جستجو',
      action: onNewSearch,
    );
  }
}
